Subject: [PATCH 00/10] Add Python packages for Sourcehut
From: Alexandru-Sergiu Marton <[email-masked]>
To: [email-masked]
Cc: Alexandru-Sergiu Marton <[email-masked]>
Date: Thu, 9 Jul 2020 22:14:47 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

This patch series adds some Python packages that I could see we were
missing to be able to package Sourcehut. (We're missing some go packages
too, but that's another story.)

Some packages (python-minio, python-hglib, python-sshpubkeys,
python-atpublic, python-aiosmtpd) have failing tests, and I'm not
knowledgeable enough to debug those. Any help would be appreciated. For
the time being, I disabled tests for those packages.

Alexandru-Sergiu Marton (10):
  gnu: Add hg-evolve.
  gnu: Add python-pgpy.
  gnu: Add python-minio.
  gnu: Add python-hglib.
  gnu: Add python-unidiff.
  gnu: Add python-emailthreads.
  gnu: Add python-zxcvbn.
  gnu: Add python-sshpubkeys.
  gnu: Add python-atpublic.
  gnu: Add python-aiosmtpd.

 gnu/packages/python-crypto.scm   |  25 ++++
 gnu/packages/python-xyz.scm      | 230 +++++++++++++++++++++++++++++++
 gnu/packages/version-control.scm |  35 +++++
 3 files changed, 290 insertions(+)

-- 
2.27.0